//
//  FactualAccessor.m
//  LookGames
//
//  Created by Navarro on 5/18/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "FactualAccessor.h"



@implementation FactualAccessor 
@synthesize current_result = _current_result;

-(void)executeQueryWithName:(NSString *)value{    
    // alloc query object
    FactualQuery* queryObject = [FactualQuery query];
    
    // some row filters
    FactualRowFilter* nameFilter = [FactualRowFilter fieldName:@"name" beginsWith:value];
    
    // filter rows where name is Factual AND (state = CA OR AZ)
    [queryObject addRowFilter:nameFilter];
    
    [self queryTable:@"BKYa1s" optionalQueryParams:queryObject withDelegate:self];
}


#pragma mark - Factual Methods

-(void)requestDidReceiveData:(FactualAPIRequest *)request{
    NSLog(@"aqui veio e ai?");
}

-(void)requestComplete:(FactualAPIRequest *)request{
    
    NSLog(@"opa porque?");
}

-(void)requestComplete:(FactualAPIRequest *)request receivedSchemaResult:(FactualSchemaResult *)schemaResult{
    NSLog(@"Schema result");
}

-(void)requestComplete:(FactualAPIRequest *)request receivedQueryResult:(FactualQueryResult *)queryResult{
    self.current_result = queryResult;
    [[NSNotificationCenter defaultCenter] postNotificationName:FACTUAL_DATA object:nil];
    NSLog(@"Porra resultado!!! %@",self.current_result);
    NSLog(@"Index 0:%@",[self.current_result  rowAtIndex:0]);
}

#pragma mark - Lifecycle

-(void)dealloc{
    //[apiObject release];
    [_current_result release];
    
    [super dealloc];
}

@end
