//
//  ResultsTableViewController.h
//  LookGames
//
//  Created by Navarro on 5/22/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "FactualAccessor.h"
#import "ResultsTableCellViewController.h"
#import "Constants.h"

@interface ResultsTableViewController : UITableViewController<UITableViewDelegate,UITableViewDataSource>  {
    FactualAccessor *factual;
}

@property (nonatomic, retain) IBOutlet UINib *table_cell_nib;
@property (nonatomic, retain) IBOutlet ResultsTableCellViewController *table_cell_temp;

-(void)registerNotification;
-(void)unregisterNotification;
-(void)updateQuery:(NSString *)value;
-(void)updateTable;

@end
